<%@ page language="C#" autoeventwireup="true" inherits="admin2_o1a, gj_web" validaterequest="false" enableviewstatemac="false" enableEventValidation="false" %>
<head><title>无标题页</title></head><link href="css/yb.css" rel="stylesheet" type="text/css">
<script language="javascript" src="js/sbyk.js" ></script><script language="javascript" src="js/db.js" ></script>
<script language="javascript" >
function ks(id)
{
document.getElementById("hid_cz").value=id;
sendRequest('o1c.aspx');
}
function bmmm(){
var jj = document.getElementById('v3');
if(jj.value=="2"){
document.getElementById('PlaceHolder1').style.display="";
document.getElementById('PlaceHolder2').style.display="";
document.getElementById('PlaceHolder3').style.display="none";
document.getElementById('PlaceHolder9').style.display="none";
document.getElementById('PlaceHolder11').style.display="";
document.getElementById('PlaceHolder12').style.display="";
document.getElementById('PlaceHolder13').style.display="";
document.getElementById('PlaceHolder21').style.display="";
document.getElementById('PlaceHolder22').style.display="";
document.getElementById('PlaceHolder23').style.display="";
}
else if(jj.value=="1"){
document.getElementById('PlaceHolder3').style.display="";
document.getElementById('PlaceHolder9').style.display="";
document.getElementById('PlaceHolder1').style.display="";
document.getElementById('PlaceHolder2').style.display="";
document.getElementById('PlaceHolder11').style.display="";
document.getElementById('PlaceHolder12').style.display="none";
document.getElementById('PlaceHolder13').style.display="none";
document.getElementById('PlaceHolder21').style.display="";
document.getElementById('PlaceHolder22').style.display="none";
document.getElementById('PlaceHolder23').style.display="none";
}
else{document.getElementById('PlaceHolder3').style.display="none";
document.getElementById('PlaceHolder9').style.display="none";
document.getElementById('PlaceHolder1').style.display="none";
document.getElementById('PlaceHolder2').style.display="none";
document.getElementById('PlaceHolder11').style.display="none";
document.getElementById('PlaceHolder12').style.display="none";
document.getElementById('PlaceHolder13').style.display="none";
document.getElementById('PlaceHolder21').style.display="none";
document.getElementById('PlaceHolder22').style.display="none";
document.getElementById('PlaceHolder23').style.display="none";
}
}

function bmmm2(){
var jj = document.getElementById('DropDownList9');
var jj2 = document.getElementById('v3');
if(jj.value=="1"){document.getElementById('PlaceHolder3').style.display="none";}else{if(jj2.value=="1"){document.getElementById('PlaceHolder3').style.display="";}}}
</script>
<body onload="bmmm();bmmm2();">
<form id="form1" runat="server"><asp:HiddenField ID="Hidlxold" runat="server" />
<input type="hidden" name="hid_xz" id="hid_xz" /><input type="hidden" name="hid_cz" id="hid_cz" />
<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;">
<tr style="background-color:#f2f2f2;"><td >
<div class="bt"><asp:label ID="btxs" runat="server" text="添加模块 "></asp:label>
<span style="margin-left:10px;font-weight:normal;"><a href="o1.aspx?lx=<%=lx%>">模块列表</a></span>
</div>
</td></tr></table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;">

<tr style="background-color:#ffffff;"><td align="right" nowrap="nowrap"  >模块名称：</td>
<td ><asp:TextBox ID="v1" runat="server" Width="100px"></asp:TextBox> （如：新闻资讯，产品展示，在线订单等） <asp:DropDownList ID="DropDownList1" runat="server"></asp:DropDownList> （启用后才能发布显示此模块内容）</td></tr>

<tr style="background-color:#ffffff;"><td align="right" style="">模块代号：</td>
<td ><asp:TextBox ID="v2" runat="server" Width="100px"></asp:TextBox> 如：news，products（字母或数字，增加后不能修改）</td></tr>

<tr style="background-color:#ffffff;"><td align="right" style="">类型：</td>
<td ><asp:DropDownList ID="v3" runat="server" onChange="bmmm();"></asp:DropDownList> （如：在线订单、留言反馈等一般属于前台页面数据，新闻、产品等一般属于后台发布数据）</td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder9"><td align="right" style="">前台页面类型：</td>
<td ><asp:DropDownList ID="DropDownList9" runat="server" onChange="bmmm2();"></asp:DropDownList> </td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder3"><td align="right" style="">前台发布权限：</td>
<td ><asp:DropDownList ID="DropDownList8" runat="server"></asp:DropDownList> </td></tr>

</table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;" id="PlaceHolder1">
 <tr style="background-color:#ffffff;"><td align="right" style=" width:60px;" valign="top"></td><td style=" color:Blue;">电脑前台界面模板</td></tr>
 <tr style="background-color:#ffffff;" id="PlaceHolder11"><td align="right" style=" width:60px;" valign="top">封面模板：</td>
 <td ><asp:DropDownList ID="DropDownList2" runat="server"></asp:DropDownList>  （对应生成“网站根目录/对应版本/<font color="blue">模块代号.html</font>”文件）</td></tr>
 <tr style="background-color:#ffffff;" id="PlaceHolder12"><td align="right" style=" width:60px;" valign="top">列表模板：</td>
 <td ><asp:DropDownList ID="DropDownList3" runat="server"></asp:DropDownList> （对应生成“网站根目录/对应版本/<font color="blue">模块代号_分类名_子分类名_..._p页码.html</font>”文件）</td></tr>
<tr style="background-color:#ffffff;" id="PlaceHolder13"><td align="right" style=" width:60px;" valign="top">内容模板：</td>
<td ><asp:DropDownList ID="DropDownList4" runat="server"></asp:DropDownList> （对应生成“网站根目录/对应版本/<font color="blue">模块代号_c信息ID.html</font>”文件）
</td></tr>
</table>
<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;" id="PlaceHolder2">
 <tr style="background-color:#ffffff;"><td align="right" style=" width:60px;" valign="top"></td>
<td style=" color:Blue;">手机前台界面模板
</td></tr>
<tr style="background-color:#ffffff;" id="PlaceHolder21"><td align="right" style=" width:60px;" valign="top">封面模板：</td>
<td ><asp:DropDownList ID="DropDownList5" runat="server"></asp:DropDownList> （对应生成“网站根目录/对应版本/<font color="blue">模块代号_sj.html</font>”文件）
</td></tr>

 <tr style="background-color:#ffffff;" id="PlaceHolder22"><td align="right" style=" width:60px;" valign="top">列表模板：</td>
<td ><asp:DropDownList ID="DropDownList6" runat="server"></asp:DropDownList> （对应生成“网站根目录/对应版本/<font color="blue">模块代号_分类名_子分类名_..._sj_p页码.html</font>”文件）
</td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder23"><td align="right" style=" width:60px;" valign="top">内容模板：</td>
<td ><asp:DropDownList ID="DropDownList7" runat="server"></asp:DropDownList> （对应生成“网站根目录/对应版本/<font color="blue">模块代号_sj_c信息ID.html</font>”文件）
</td></tr>
</table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px; display:none;">

 <tr style="background-color:#ffffff;"><td align="right" style=" width:60px;" valign="top"></td>
<td style=" color:Blue;">其它
</td></tr>

<tr style="background-color:#ffffff;"><td align="right" style=" width:60px;" valign="top">附件：</td>
<td ><asp:DropDownList ID="DropDownList10" runat="server"></asp:DropDownList> （一般如下载中心等需要启用，发布其内容的时候可用）
</td></tr>

</table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-top:5px;">
<tr style="background-color:#f2f2f2;"><td >

<input id="Button1" type="button" value="添加" onclick="ks('4');" style="width:80px;" onfocus="this.blur();" />
<input id="Button2" type="button" value="修改" onclick="ks('5');" style="width:80px;" onfocus="this.blur();" />

</td></tr></table>    
<asp:Label ID="Label1" runat="server" Text=""></asp:Label>
<%=rfh()%>
</form>
</body>